#!/bin/bash
#
# source: http://intellinuxwireless.org/iwlwifi/downloads/iwlwifi-5000-ucode-5.4.A.11.tar.gz
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

buildir=$(pwd)
soft="iwlwifi-5000-ucode"
softversion="5.4.A.11"
arch="noarch"
packageversion="54.1"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvzf $soft-$softversion.tar.gz
rm -f $dest.tar.gz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC >> $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.

                  |-----handy-ruler---------------------------------------------|
iwlwifi-5000-ucode: iwlwifi-5000-ucode - firmware for Intel Wireless 5000AGN
iwlwifi-5000-ucode:
iwlwifi-5000-ucode: This package contains the latest microcode image as required
iwlwifi-5000-ucode: by the iwlwifi driver incorporated in the Linux  Kernel.
iwlwifi-5000-ucode: This microcode image supports the Intel(r)  Wireless WiFi
iwlwifi-5000-ucode: Link 5000AGN Network Connection adapter.
iwlwifi-5000-ucode:
iwlwifi-5000-ucode:
iwlwifi-5000-ucode:
iwlwifi-5000-ucode:
iwlwifi-5000-ucode:
EODESC

#------------------Set correct permissions

cd $src

chown -R root:root .

mkdir -p $dest/lib/firmware
cp iwlwifi-5000-1.ucode $dest/lib/firmware

mkdir -p $dest/usr/doc/$soft-$softversion
cp LICENSE.iwlwifi-5000-ucode README.iwlwifi-5000-ucode $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5